Log in or register to post comments

Vuforia script error

October 10, 2016 - 3:46am #1

I'm a complete beginner in this field. I have got unity 5.1.1f1 and vuforia 6 sdk added to it. But everything in the prefabs folder shows a script error(The associated script cannot be loaded. Please fix any compile error and assign a valid script) in the inspector window and the console tab shows this error "Assets/Vuforia/Editor/Scripts/ExtensionImport.cs(121,57): error CS0117: `UnityEditor.WSASDK' does not contain a definition for `UWP' ". Please help to solve this problem. Thank you.

Vuforia script error

December 8, 2017 - 1:20am #5

[SOLVED]

In my case:

I started the new project in Unity and load de Vuforia Package (Unity Extension). And display the errors "The associated script can not be loaded".

My solution: Create a new project and NOT LOAD de Unity Extension downloaded from Vuforia website. The latest versions of Unity have that integrated (2017). If you load the Unity Package you may have redundances (that was my case), and does not work.

Vuforia script error

October 10, 2016 - 7:02am #4

see here: http://library.vuforia.com/articles/Release_Notes/Vuforia-SDK-Release-Notes

It would appear that the min supported version of Unity is 5.2.4, which is more recent than the version you mentioned. 

to vuforia team: since you know your min spec and can easily check it via an editor script...maybe pop up a warning. This is the 2nd time in the last few days the forum has such a question.

Vuforia script error

October 10, 2016 - 6:14am #3

I'm using windows 10 64bit. Vuforia 6 has 64bit support for unity 5, right? i tried double clicking the package and also dragging it into the unity window. In both cases the result remains the same. And it happens right away when i drag and drop anything into the hierarchy tab from the prefabs folder.

Vuforia script error

October 10, 2016 - 3:53am #2

Hmm that sounds strange. Is that the free version of Unity you are using?

 

Also make sure you got the SDK for the right OS you are running on. Also how did you import it and doe it come up right away or after you have done something?

 

 

Log in or register to post comments